For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Inboxes
      • GETGet Inbox
      • POSTCreate Inbox
      • PATCHUpdate Inbox
      • DELDelete Inbox
        • GETList Messages
        • GETGet Message
        • POSTBatch Get Messages
        • GETGet Attachment
        • GETGet Raw Message
        • PATCHUpdate Message
        • DELDelete Message
        • POSTSend Message
        • POSTReply To Message
        • POSTReply All Message
        • POSTForward Message
LogoLogo
contact@agentmail.ccDiscord
API ReferenceInboxesMessages

Forward Message

POST
/v0/inboxes/:inbox_id/messages/:message_id/forward
POST
/v0/inboxes/:inbox_id/messages/:message_id/forward
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.inboxes.messages.forward(
8 inbox_id="inbox_id",
9 message_id="message_id",
10)
1{
2 "message_id": "message_id",
3 "thread_id": "thread_id"
4}
**CLI:** ```bash agentmail inboxes:messages forward --inbox-id <inbox_id> --message-id <message_id> --to recipient@example.com ```
Was this page helpful?
Previous

List Drafts

Next
Built with

CLI:

$agentmail inboxes:messages forward --inbox-id <inbox_id> --message-id <message_id> --to recipient@example.com

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.
message_idstringRequired
ID of message.

Request

This endpoint expects an object.
labelslist of stringsOptional
Labels of message.
reply_tostring or list of stringsOptional

Reply-to address or addresses.

tostring or list of stringsOptional
Recipient address or addresses.
ccstring or list of stringsOptional
CC recipient address or addresses.
bccstring or list of stringsOptional
BCC recipient address or addresses.
subjectstringOptional
Subject of message.
textstringOptional
Plain text body of message.
htmlstringOptional
HTML body of message.
attachmentslist of objectsOptional
Attachments to include in message.
headersmap from strings to stringsOptional
Headers to include in message.

Response

This endpoint returns an object.
message_idstring
ID of message.
thread_idstring
ID of thread.

Errors

400
Validation Error
403
Message Rejected Error
404
Not Found Error